

#include "rba_DemObdBasic_Prv.h"

/* Mask to set the Ready/Complete state of ComprehensiveComponent group to true */
#define DEM_OBDRDY_SET_COMPCOMP_RDY_SUPENA_MSK        (0x00040000)

#define DEM_START_SEC_ROM_CODE
#include "Dem_Cfg_MemMap.h"

uint32 rba_DemObdBasic_Rdy_GetPid01ByteBCD(void)
{
    return DEM_OBDRDY_SET_COMPCOMP_RDY_SUPENA_MSK;
}

uint32 rba_DemObdBasic_Rdy_GetPid41ByteBCD(void)
{
    return DEM_OBDRDY_SET_COMPCOMP_RDY_SUPENA_MSK;
}

Std_ReturnType Dem_SetEventDisabled(Dem_EventIdType EventId)
{
    Std_ReturnType retVal = E_NOT_OK;

    DEM_UNUSED_PARAM(EventId);

    return retVal;
}

#define DEM_STOP_SEC_ROM_CODE
#include "Dem_Cfg_MemMap.h"

